cURL
curl --request GET \
--url https://api.allcomtelecom.com/api:XUynQtIz/tag/historyimport requests
url = "https://api.allcomtelecom.com/api:XUynQtIz/tag/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.allcomtelecom.com/api:XUynQtIz/tag/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"itemsReceived": 0,
"curPage": 0,
"nextPage": 0,
"prevPage": 0,
"offset": 0,
"perPage": 0,
"items": [
{
"id": 0,
"created_at": "now",
"accounts_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"deviceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"messageType": "string",
"device": "string",
"productType": "string",
"battery": 0,
"location": {},
"humidity": {},
"pressure": {},
"temperature": {},
"alert": {},
"serverTimeStamp": 0,
"deviceTimeStamp": 0,
"week_day": "string",
"tag_status": "string",
"signal_strength": "string",
"device_status": "string",
"is_live": true,
"isTag": false,
"rawData": {},
"geography": "string"
}
]
}{
"error": "Input Error. Check the request payload for issues."
}{
"error": "Requisição requer autenticação."
}{
"error": "Access denied. Additional privileges are needed access the requested resource"
}{
"error": "Not Found. The requested resource does not exist."
}{
"error": "Rate Limited. Too many requests."
}{
"error": "Unexpected error"
}Tag
Busca o histórico de uma tag
Faz a listagem do histórico de uma tag específica
GET
/
tag
/
history
cURL
Query Parameters
Example:
"20234397fs9vcd978qr308q9703cbfdbd9vuy07wrw97rq90qrw08"
Example:
"1"
Example:
"25"
Example:
"offset"
Example:
"tag_id"
Example:
"2025-12-28"
Example:
"2025-12-28"
Response
Listagem de dispositivos retornada com sucesso.
Example:
{
"itemsReceived": 0,
"curPage": 0,
"nextPage": 0,
"prevPage": 0,
"offset": 0,
"perPage": 0,
"items": [
{
"id": 0,
"created_at": "now",
"accounts_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"deviceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"messageType": "string",
"device": "string",
"productType": "string",
"battery": 0,
"location": {},
"humidity": {},
"pressure": {},
"temperature": {},
"alert": {},
"serverTimeStamp": 0,
"deviceTimeStamp": 0,
"week_day": "string",
"tag_status": "string",
"signal_strength": "string",
"device_status": "string",
"is_live": true,
"isTag": false,
"rawData": {},
"geography": "string"
}
]
}

